## Index

### Namespaces

- IEventsTypes
- IEventsTypesListeners

### Classes

- IVisualizer

### Interfaces

- IApplication
- IApplicationButtonsConfiguration
- IApplicationFieldsConfiguration
- IButtonConfiguration
- ICatalogFieldsMapping
- IConfigurationAlias
- IConfigurationAnalytics
- IConfigurationAnalyticsPlugins
- IConfigurationAnalyticsPluginsDetails
- IConfigurationAnalyticsPluginsDetailsGDPR
- IConfigurationCatalogFilters
- IConfigurationSceneRaw
- IConfigurationSceneRawExp
- IExpConfigurationEntityRaw
- IExpConfigurationRaw
- IFieldConfiguration
- IPreFilterProducts
- ISceneConfigurationEntityOutput
- ISceneConfigurationEntityRaw
- ISceneConfigurationRaw
- ISceneConfigurationUnilevelEntity

### Type aliases

- ICameraEventType
- IConfigurationFilter
- IConfigurationSceneCommon
- IConfigurationSceneOutput
- IFacet
- IFavorite
- IFavoriteProductList
- IFavoriteProductSkuAndApplication
- IFavoriteProductSkuAndApplicationList
- IFavoriteScene
- IFavoriteSceneList
- IProduct
- IProductSkuAndApplication
- IScene
- ISceneSubSelection
- TAnalyticsEvent
- THotspotOnRender

### Object literals

- analyticsEvents

## Type aliases

### ICameraEventType

ICameraEventType: "zoom" | "move"

### IConfigurationFilter

IConfigurationFilter: { customFieldName?: undefined | string; name: string; operator?: undefined | "not"; options: string[] | null }

#### Type declaration

- ##### Optional customFieldName?: undefined | string

- ##### name: string

- ##### Optional operator?: undefined | "not"

- ##### options: string[] | null

### IConfigurationSceneCommon

IConfigurationSceneCommon: { previewImage?: undefined | string; subtitle?: undefined | string; title: string }

#### Type declaration

- ##### Optional previewImage?: undefined | string

- ##### Optional subtitle?: undefined | string

- ##### title: string

### IConfigurationSceneOutput

IConfigurationSceneOutput: IConfigurationSceneCommon & { name: string; subSelection?: ISceneSubSelection }

### IFacet

IFacet: { name: string; options: string[] | null }

#### Type declaration

- ##### name: string

- ##### options: string[] | null

### IFavorite

IFavorite: { product: IProduct }

#### Type declaration

- ##### product: IProduct

### IFavoriteProductList

IFavoriteProductList: IFavorite[]

### IFavoriteProductSkuAndApplication

IFavoriteProductSkuAndApplication: { product: IProductSkuAndApplication }

#### Type declaration

- ##### product: IProductSkuAndApplication

### IFavoriteProductSkuAndApplicationList

IFavoriteProductSkuAndApplicationList: IFavoriteProductSkuAndApplication[]

### IFavoriteScene

IFavoriteScene: { favorites: IFavorite[]; id: string; image: string; scene: IScene }

#### Type declaration

- ##### favorites: IFavorite[]

- ##### id: string

- ##### image: string

- ##### scene: IScene

### IFavoriteSceneList

IFavoriteSceneList: IFavoriteScene[]

### IProduct

IProduct: { _id: string; application: string; description?: undefined | string; facets?: IFacet[]; image: string; name?: undefined | string; price?: undefined | string; sku: string; title: string }

#### Type declaration

- ##### _id: string

- ##### application: string

- ##### Optional description?: undefined | string

- ##### Optional facets?: IFacet[]

- ##### image: string

- ##### Optional name?: undefined | string

- ##### Optional price?: undefined | string

- ##### sku: string

- ##### title: string

### IProductSkuAndApplication

IProductSkuAndApplication: { application: string; sku: string }

#### Type declaration

- ##### application: string

- ##### sku: string

### IScene

IScene: IConfigurationSceneOutput & { experienceId: string; sceneId: string }

### ISceneSubSelection

ISceneSubSelection: { name: string; previewImage?: undefined | string; title?: undefined | string }

#### Type declaration

- ##### name: string

- ##### Optional previewImage?: undefined | string

- ##### Optional title?: undefined | string

### TAnalyticsEvent

TAnalyticsEvent: Partial<{}>

### THotspotOnRender

THotspotOnRender: { application: string; position: { x: number; y: number }; title: string }

#### Type declaration

- ##### application: string

- ##### position: { x: number; y: number }

  - ##### x: number

  - ##### y: number

- ##### title: string

## Object literals

### Const analyticsEvents

analyticsEvents: object

property names are assigned to action

evenParamsPaths are serialized into label (and delimited with ':')

### applicationPointClicked

applicationPointClicked: object

### category

category: string = "appplications"

### eventParamsPaths

eventParamsPaths: never[] = []

### applicationSelected

applicationSelected: object

### category

category: string = "appplications"

### eventParamsPaths

eventParamsPaths: string[] = ['application.application']

### applicationsNavigateButtonClicked

applicationsNavigateButtonClicked: object

### category

category: string = "appplications"

### eventParamsPaths

eventParamsPaths: never[] = []

### applicationsStripButtonClicked

applicationsStripButtonClicked: object

### category

category: string = "appplications"

### eventParamsPaths

eventParamsPaths: never[] = []

### applicationsStripOpened

applicationsStripOpened: object

### category

category: string = "appplications"

### eventParamsPaths

eventParamsPaths: never[] = []

### closeFullscreenClicked

closeFullscreenClicked: object

### category

category: string = "visualizer"

### eventParamsPaths

eventParamsPaths: never[] = []

### favoriteSceneClicked

favoriteSceneClicked: object

### category

category: string = "favorites"

### eventParamsPaths

eventParamsPaths: never[] = []

### favoritesPanelClosed

favoritesPanelClosed: object

### category

category: string = "favorites"

### eventParamsPaths

eventParamsPaths: never[] = []

### favoritesPanelOpened

favoritesPanelOpened: object

### category

category: string = "favorites"

### eventParamsPaths

eventParamsPaths: never[] = []

### favoritesSceneDisplayed

favoritesSceneDisplayed: object

### category

category: string = "favorites"

### eventParamsPaths

eventParamsPaths: string[] = ['scene.scene.sceneId', 'scene.scene.title', 'scene.subtitle']

### fullscreenClicked

fullscreenClicked: object

### category

category: string = "visualizer"

### eventParamsPaths

eventParamsPaths: never[] = []

### orderSample

orderSample: object

### category

category: string = "conversion"

### eventParamsPaths

eventParamsPaths: string[] = ['product.sku', 'product.title']

### productAddedToCart

productAddedToCart: object

### category

category: string = "conversion"

### eventParamsPaths

eventParamsPaths: string[] = ['product.sku', 'product.title']

### productAddedToFavorites

productAddedToFavorites: object

### category

category: string = "favorites"

### eventParamsPaths

eventParamsPaths: string[] = ['product.sku', 'product.title']

### productChanged

productChanged: object

### category

category: string = "products"

### eventParamsPaths

eventParamsPaths: string[] = ['product.sku', 'product.title']

### productRemovedFromFavorites

productRemovedFromFavorites: object

### category

category: string = "favorites"

### eventParamsPaths

eventParamsPaths: string[] = ['product.sku', 'product.title']

### sceneAddedToFavorites

sceneAddedToFavorites: object

### category

category: string = "favorites"

### eventParamsPaths

eventParamsPaths: string[] = ['scene.scene.sceneId', 'scene.scene.title', 'scene.subtitle']

### sceneLoaded

sceneLoaded: object

### category

category: string = "scenes"

### eventParamsPaths

eventParamsPaths: string[] = ['scene.sceneId', 'scene.title', 'scene.subtitle']

### sceneLoading

sceneLoading: object

### category

category: string = "scenes"

### eventParamsPaths

eventParamsPaths: string[] = ['scene.sceneId', 'scene.title', 'scene.subtitle']

### sceneRemovedFromFavorites

sceneRemovedFromFavorites: object

### category

category: string = "favorites"

### eventParamsPaths

eventParamsPaths: string[] = ['scene.scene.sceneId', 'scene.scene.title', 'scene.subtitle']

### sceneTouched

sceneTouched: object

### category

category: string = "visualizer"

### eventParamsPaths

eventParamsPaths: string[] = ['scene.sceneId', 'scene.title', 'scene.subtitle']

### scenesPanelClosed

scenesPanelClosed: object

### category

category: string = "scenes"

### eventParamsPaths

eventParamsPaths: never[] = []

### scenesPanelOpened

scenesPanelOpened: object

### category

category: string = "scenes"

### eventParamsPaths

eventParamsPaths: never[] = []

### summaryClicked

summaryClicked: object

### category

category: string = "visualizer"

### eventParamsPaths

eventParamsPaths: string[] = ['scene.scene.sceneId', 'scene.scene.title', 'scene.subtitle']

### userChangedProduct

userChangedProduct: object

### category

category: string = "products"

### eventParamsPaths

eventParamsPaths: string[] = ['product.sku', 'product.title']

### visualizerLoaded

visualizerLoaded: object

### category

category: string = "visualizer"

### eventParamsPaths

eventParamsPaths: string[] = ['visualizer.experienceId']

Generated using TypeDoc